PETSc version 3.17.4
Fix/Edit manual page

# PetscSortSplitReal

Quick-sort split of an array of PetscReals in place.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortSplitReal(PetscInt ncut,PetscInt n,PetscReal a[],PetscInt idx[])

Not Collective

### Input Parameters

| ncut | - splitig index
| n | - number of values to sort

### Input/Output Parameters

| a | - array of values, on output the values are permuted such that its elements satisfy: abs(a[i]) >= abs(a[ncut-1]) for i < ncut and abs(a[i]) <= abs(a[ncut-1]) for i >= ncut
| idx | - index for array a, on output permuted accordingly

### See Also

PetscSortInt(), PetscSortRealWithPermutation()

### Level

intermediate

### Location

src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages